body {
  display: -ms-grid;
  display: grid;
      grid-template-areas: "header header header" "nav article article" "footer footer footer";
  -ms-grid-rows: 60px 1fr 60px;
      grid-template-rows: 60px 1fr 60px;
  -ms-grid-columns: 180px 1fr;
      grid-template-columns: 180px 1fr;
  height: 100vh;
  margin: 0;
  color: black;
  font-size: 18px;
  font-weight: 500;
}

header,
footer,
article,
nav,
div {
  padding: 20px;
}

#pageHeader {
  -ms-grid-row: 1;
  -ms-grid-column: 1;
  -ms-grid-column-span: 3;
  grid-area: header;
  background-color: blue;
}

#pageFooter {
  -ms-grid-row: 3;
  -ms-grid-column: 1;
  -ms-grid-column-span: 3;
  grid-area: footer;
  background-color: green;
}

#mainArticle {
  -ms-grid-row: 2;
  -ms-grid-column: 2;
  -ms-grid-column-span: 2;
  grid-area: article;
  background-color: orange;
}

#mainNav {
  -ms-grid-row: 2;
  -ms-grid-column: 1;
  grid-area: nav;
  background-color: yellow;
}

header #header-text {
  display: inline-block;
  padding: 0px;
}

header #btnControl {
  display: none;
}

header .btn {
  float: right;
  background: transparent;
  border-radius: 5px;
  border: 1px solid black;
  text-align: center;
  font-size: 24px;
  padding: 0px 5px 0px 5px;
  margin-top: -5px;
}

header .btn:hover {
  background-image: -webkit-gradient(linear, left top, left bottom, from(#c3e3fa), to(#a5defb));
  background-image: linear-gradient(to bottom, #c3e3fa, #a5defb);
}

header .btn:active {
  margin-left: 1px 1px 0;
  -webkit-box-shadow: -1px -1px 1px #000;
          box-shadow: -1px -1px 1px #000;
  outline: 1px solid black;
  background-image: -webkit-gradient(linear, left bottom, left top, from(#f4f5f5), to(#dfdddd));
  background-image: linear-gradient(to top, #f4f5f5, #dfdddd);
}

Nav {
  background-color: yellow;
  padding: 10px;
  font-size: 32px;
  /* Nav - Checkbox Hack */
  /* Nav - Default State */
  /* Nav - Toggled State */
}

Nav a .hidden {
  visibility: hidden;
}

Nav a:visited .hidden {
  visibility: visible;
}

Nav input[type="checkbox"] {
  position: absolute;
  top: -9999px;
  left: -9999px;
}

Nav label {
  -webkit-appearance: push-button;
  -moz-appearance: button;
  display: inline-block;
  border: 1px solid black;
  margin: 5px 0 10px -35px;
  cursor: pointer;
}

Nav .submenu {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
  display: block;
  border: 1px solid black;
  font-size: 24px;
  color: black;
  margin-bottom: 10px;
  padding: 10px 10px 10px 0px;
  margin-left: -20px;
}

Nav input[type="checkbox"]:checked ~ .submenu {
  display: none;
}

@media only screen and (max-width: 768px) {
  body {
        grid-template-areas: "header header header" "article article article" "footer footer footer";
  }
  #mainNav {
    display: none;
  }
}

@media only screen and (min-width: 768px) {
  Header .btn {
    display: none;
  }
}
/*# sourceMappingURL=main.css.map */